name: pytorch_gpu
channels:
  - pytorch
  - nvidia
  - conda-forge
dependencies:
  - python=3.10
  - pytorch::pytorch=2.5.1
  - pytorch::torchvision=0.20.1
  - pytorch::torchaudio=2.5.1
  - pytorch::pytorch-cuda=11.8
  - gdal>=3.7.0
  - shapely>=2.0.0
  - pyproj>=3.4.0
  - pip
  - pip:
    - sentinelhub>=3.9.0
